| Home | Libraries | People | FAQ | More

#### is_buffers_generator

Determine if type satisfies the BuffersGenerator requirements.

##### Synopsis

Defined in header `<boost/beast/core/buffers_generator.hpp>`

    template<
        class T>
    struct is_buffers_generator :
        public integral_constant< bool, automatically_determined >

##### Description

This metafunction is used to determine if the specified type meets the requirements for a buffers generator. The static member `value` will evaluate to `true` if so, `false` otherwise.

##### Template Parameters

Type | Description
--- | ---
`T` | a type to check